.single-post {
    padding: 100px 0 120px;
    overflow-x: hidden;
}

@media screen and (max-width: 768px) {
    .single-post .rd-section__title {
        width: auto;
    }
}

.single-post__thumbnail {
    height: 240px;
    margin-bottom: 60px;
}

.single-post__hero-img {
    width: 100%;
    height: 100%;
    -o-object-fit: cover;
    object-fit: cover;
}

.single-post__content-wrapper {
    max-width: 1024px;
    margin: 0 auto;
    padding: 0 5%;
    box-sizing: content-box;
}

.single-post__header {
    display: flex;
    flex-direction: column;
    gap: 20px;

    margin-bottom: 30px;
}

.single-post__title {
    font-size: clamp(32px, 5vw, 60px);
    line-height: clamp(40px, 5vw, 72px);
    font-weight: 800;
}

@media screen and (max-width: 768px) {

    .single-post__title {
        font-weight: 900
    }
}

.single-post__meta-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    gap: 24px;
}

.single-post__meta-list {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 32px;
}

@media screen and (max-width: 768px) {

    .single-post__meta-list {
        gap: 16px
    }
}

.single-post__meta-item {
    display: flex;
    align-items: center;
    gap: 8px;
}

.single-post__meta-item span {
    font-size: 12px;
    font-weight: 500;
    color: #575E61;
}

.single-post__soc-list {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 16px;
}

.single-post__soc-icon {
    width: 44px;
    height: 44px;
    -o-object-fit: contain;
    object-fit: contain;
    transition: all .1s ease;
}

.single-post__soc-icon:hover {
    filter: brightness(0.8);
}

.single-post__soc-icon:active {
    filter: brightness(0.6);
}

.single-post__content h1, .default-page__content h1 {
    margin: 60px 0 28px;
    font-size: clamp(26px, 5vw, 40px);
    font-weight: 800;
    line-height: clamp(32px, 5vw, normal);
}

@media screen and (max-width: 768px) {

    .single-post__content h1, .default-page__content h1 {
        font-weight: 900
    }
}

.single-post__content h2, .default-page__content h2 {
    margin: 60px 0 28px;
    font-size: clamp(24px, 4vw, 32px);
    font-weight: 800;
}

.single-post__content h3, .default-page__content h3 {
    margin: 28px 0 12px;
    font-size: clamp(20px, 2vw, 24px);
    font-weight: 800;
}

.single-post__content h4, .default-page__content h4 {
    margin: 24px 0 12px;
    font-size: clamp(20px, 2vw, 22px);
    font-weight: 500;
    line-height: clamp(24px, 2vw, normal);
}

.single-post__content p, .default-page__content p {
    margin: 10px 0;
}

.single-post__content a, .default-page__content a {
    font-size: clamp(16px, 2vw, 18px);
    font-weight: 600;
    line-height: 28px;

    color: var(--green);
    text-decoration: underline;
}

.single-post__content a:hover, .default-page__content a:hover {
    filter: brightness(0.8);
}

.single-post__content a:active, .default-page__content a:active {
    filter: brightness(0.6);
}

.single-post__content li, .default-page__content li {
    font-size: 18px;
    line-height: 28px;
    position: relative;
}

.single-post__content ul, .single-post__content ol, .default-page__content ul, .default-page__content ol {
    margin: 20px 0;
    display: flex;
    flex-direction: column;
    gap: 8px;
}

.single-post__content ul li:before, .default-page__content ul li:before {
    display: inline-block;
    content: '';

    width: 13px;
    height: 15px;
    margin-right: 8px;

    background-color: var(--green);
}

.single-post__content ol, .default-page__content ol {
    counter-reset: list-counter; /* Initialize the counter for the list */
    list-style: none; /* Remove default list styling */
    padding-left: 0;
}

/* Remove default padding */

.single-post__content ol li, .default-page__content ol li {
    counter-increment: list-counter; /* Increment the counter for each list item */
}

.single-post__content ol li:before, .default-page__content ol li:before {
    display: inline-block;
    content: counter(list-counter);

    font-size: 18px;
    font-weight: 900;
    line-height: 24px;

    margin-right: 8px;

    color: var(--green);
}

.single-post__content img, .default-page__content img {
    width: 100%;
    margin: 60px 0;
    -o-object-fit: contain;
    object-fit: contain;
}

.single-post__content blockquote, .default-page__content blockquote {
    padding: 130px 10% 90px;
    margin: 40px 0;
    position: relative;
}

.single-post__content blockquote cite, .default-page__content blockquote cite {
    font-size: clamp(16px, 2vw, 18px);
    font-weight: 600;
    font-style: normal;
    line-height: clamp(25px, 3vw, 28px);

    position: relative;
    z-index: 1;
}

.single-post__content blockquote cite:before, .default-page__content blockquote cite:before {
    content: url("../../icons/post/quote.png");

    position: absolute;
    z-index: -1;
    top: -60px;
    left: -60px;
}

.single-post__content blockquote:before, .default-page__content blockquote:before {
    display: block;
    content: '';

    position: absolute;
    top: 0;
    left: -50vw;

    width: 200vw;
    height: 100%;

    background-color: var(--transparent-green);
}

.single-post__footer {
    margin-top: 60px;

    display: flex;
    flex-direction: column;
    gap: 10px;
}

.single-post__footer span {
    font-weight: 600;
}

.single-post__footer a {
    font-size: clamp(16px, 2vw, 18px);
    font-weight: 600;
    line-height: 28px;

    color: var(--green);
    text-decoration: underline;
}

.single-post__footer a:hover {
    filter: brightness(0.8);
}

.single-post__footer a:active {
    filter: brightness(0.6);
}

.single-post__footer .single-post__soc-list {
    margin-top: 60px;
    align-self: center;
}

.suggested-reading {
    margin-top: 150px;
    padding: 0 5%;
    box-sizing: content-box;

    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 120px;
}

.single-post__list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 40px;
}

.single-post__list .case-studies-section__item {
    flex-grow: 1;
    width: calc(33% - 27px);
    min-width: 380px;
    max-width: none;
    padding: 0;
}

.single-post__list .case-studies-section__item article {
    height: 100%;
    padding: 0 40px 40px;
}

@media screen and (max-width: 500px) {

    .single-post__list .case-studies-section__item {
        min-width: 100%
    }
}

.single-post__list .case-studies-section__img {
    margin-top: -1px;
}

.single-post__list .case-studies-section__item span {
    position: relative;
    white-space: nowrap;
}

.single-post__list .case-studies-section__item span:not(:last-of-type):after {
    content: '';

    display: inline-block;

    width: 6px;
    height: 6px;
    position: absolute;
    top: 50%;
    left: calc(100% + 4px);
    transform: translate(0, -50%);

    background-color: var(--light-green);
}

.single-post__list .case-studies-section__item span {
    margin-left: 14px;
}

.single-post__list .case-studies-section__item:hover .blog-posts-section__post-date div {
    color: var(--white);
}

/* Social Shares */
.heateor_sss_sharing_container {
    display: flex;
    justify-content: flex-end;
}

.heateor_sss_button_google_gmail .heateor_sss_svg.heateor_sss_s__default.heateor_sss_s_Google_Gmail {
    background: url("../../icons/soc/gmail.png") center/contain no-repeat !important;
}

.heateor_sss_button_google_gmail svg {
    display: none !important;
}
